---
!ruby/sym int8:
    !ruby/sym size: 1
    !ruby/sym format: c
!ruby/sym uint8:
    !ruby/sym size: 1
    !ruby/sym format: C

!ruby/sym int16:
    !ruby/sym size: 2
    !ruby/sym format: s
!ruby/sym uint16:
    !ruby/sym size: 2
    !ruby/sym format: S

!ruby/sym int32:
    !ruby/sym size: 4
    !ruby/sym format: l
!ruby/sym uint32:
    !ruby/sym size: 4
    !ruby/sym format: L

!ruby/sym int64:
    !ruby/sym size: 4
    !ruby/sym format: q
!ruby/sym uint64:
    !ruby/sym size: 4
    !ruby/sym format: Q

!ruby/sym float:
    !ruby/sym size: 4
    !ruby/sym format: f

!ruby/sym double:
    !ruby/sym size: 8
    !ruby/sym format: d